## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesTreeWalker Class Reference

This class is deprecated. More...

Inheritance diagram for XercesTreeWalker:

[legend]
List of all members.

## Public Member Functions

- XercesTreeWalker ()
    Constructor.
- virtual ~XercesTreeWalker ()
- virtual void traverse (const DOM_NodeType &pos)
    Perform a pre-order traversal non-recursive style.
- virtual void traverse (const DOM_NodeType &pos, const DOM_NodeType &parent)
    Perform a pre-order traversal non-recursive style.

## Protected Member Functions

- virtual void startNode (const DOM_NodeType &node)=0
- virtual void endNode (const DOM_NodeType &node)=0

## Detailed Description

This class is deprecated.

Deprecated:
  This class works with the deprecated Xerces DOM bridge.

## Constructor & Destructor Documentation

XercesTreeWalker::XercesTreeWalker | ( |  | ) |

| Constructor.

virtual XercesTreeWalker::~XercesTreeWalker | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void XercesTreeWalker::endNode | ( | const DOM_NodeType & | node | ) | `[protected, pure virtual]`

| Implemented in XercesDocumentBridge::BuildBridgeTreeWalker.

virtual void XercesTreeWalker::startNode | ( | const DOM_NodeType & | node | ) | `[protected, pure virtual]`

| Implemented in XercesDocumentBridge::BuildBridgeTreeWalker.

virtual void XercesTreeWalker::traverse | ( | const DOM_NodeType & | pos,
|  | const DOM_NodeType & | parent
| ) | `[virtual]`

| Perform a pre-order traversal non-recursive style.

virtual void XercesTreeWalker::traverse | ( | const DOM_NodeType & | pos | ) | `[virtual]`

| Perform a pre-order traversal non-recursive style.

The documentation for this class was generated from the following file:

- XercesTreeWalker.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.